import java.util.ArrayList;
import java.util.Arrays;
import java.util.Random;

public class SSPopulacija {
	
	/** Populacija rješenja */
	private ArrayList<Kromosom> populacija;

	/**
	 * Konstruktor objekta
	 * 
	 * @param populacija populacija potencijalnih rješenja
	 */
	public SSPopulacija(ArrayList<Kromosom> populacija) {
		super();
		this.populacija = populacija;
	}
	
	/**
	 * Briše jedinku iz populacije
	 * 
	 * @param remove jedinka koja se briše (eliminira) iz populacije
	 */
	public void removeKromosom(Kromosom remove){
		this.populacija.remove(remove);
	}
	
	/**
	 * Dodaje jedinku u populaciju
	 * 
	 * @param add jedinka koja se dodaje u populaciju
	 */
	public void addKromosom(Kromosom add){
		this.populacija.add(add);
	}
	
	/** 
	 * Funkcija koja selektira kromosom/jedinku koristeći slučajan odabir
	 * 
	 * @return odabrani kromosom/jedinka
	 */
	public Kromosom selektiraj(){
		Random random = new Random();
		int rand = random.nextInt(populacija.size());
		return populacija.get(rand);
	}
	
	/**
	 * Vraća populaciju rješenja sortiranu prema cijeni rezanja
	 * 
	 * @return populacija rješenja
	 */
	public Kromosom[] getSortedPopulation(){
		Kromosom[] rezultat = populacija.toArray(new Kromosom[0]);
		Arrays.sort(rezultat);
		return rezultat;
	}
}
