
public class Predmet {
	
	/** Identifikacijski broj predmeta */
	private int ID;
	/** Širina predmeta */
	private int sirina;
	/** Visina predmeta */
	private int visina;
	
	/**
	 * Konstruktor objekta
	 * 
	 * @param ID identifikacijski broj predmeta
	 * @param sirina širina predmeta
	 * @param visina visina predmeta
	 */
	public Predmet(int ID, int sirina, int visina){
		super();
		this.ID = ID;
		this.sirina = sirina;
		this.visina = visina;
	}

	/**
	 * Vraća identifikacijski broj predmeta
	 * 
	 * @return identifikacijski broj predmeta
	 */
	public int getID() {
		return ID;
	}

	/**
	 * Vraća širinu predmeta
	 * 
	 * @return širina predmeta
	 */
	public int getSirina() {
		return sirina;
	}

	/**
	 * Vraća visinu predmeta
	 * 
	 * @return visina predmeta
	 */
	public int getVisina() {
		return visina;
	}
	
	/**
	 * Rotira predmet za 90°
	 */
	public void rotiraj(){
		int temp = visina;
		visina = sirina;
		sirina = temp;
	}
	
	@Override
	public String toString(){
		return sirina+"x"+visina;
	}
}
