import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;


public class ParametriSSGA {
	
	/** Vjerojatnost križanja */
	private double vjerojatnostKrizanja;
	/** Vjerojatnost mutacije */
	private double vjerojatnostMutacije;
	/** Broj jedinki u populaciji */
	private int velicinaPopulacije;
	/** Broj generacija koje se stvore algoritmom */
	private int brojReprodukcija;
		
	/**
	 * Konstruktor objekta
	 * 
	 * @param ulaznaDatoteka datoteka iz koje se učitavaju parametri
	 * @throws IOException greška prilikom čitanja iz datoteke
	 */
	public ParametriSSGA(File ulaznaDatoteka) throws IOException{
		super();
		BufferedReader citac = new BufferedReader(new FileReader(ulaznaDatoteka));
		String red = citac.readLine();
		velicinaPopulacije = Integer.parseInt(red);
		red = citac.readLine();
		brojReprodukcija = Integer.parseInt(red);
		red = citac.readLine();
		vjerojatnostKrizanja = Double.parseDouble(red);
		red = citac.readLine();
		vjerojatnostMutacije = Double.parseDouble(red);
	}

	/**
	 * Vraća vjerojatnost križanja
	 * 
	 * @return vjerojatnost križanja
	 */
	public double getVjerojatnostKrizanja() {
		return vjerojatnostKrizanja;
	}

	/**
	 * Vraća vjerojatnost mutacije
	 * 
	 * @return vjerojatnost mutacije
	 */
	public double getVjerojatnostMutacije() {
		return vjerojatnostMutacije;
	}

	/**
	 * Vraća broj jedinki u populaciji
	 * 
	 * @return broj jedinki
	 */
	public int getVelicinaPopulacije() {
		return velicinaPopulacije;
	}

	/**
	 * Vraća broj reprodukcija algoritma
	 * 
	 * @return broj reprodukcija
	 */
	public int getBrojReprodukcija() {
		return brojReprodukcija;
	}
}
