
public class GrayCode {
	
	/**
	 * Pretvara dekadski broj u grayev kod
	 * 
	 * @param decimal dekadski broj
	 * @return grayev kod dobivenog broja
	 */
	public static String decToGray(int decimal){
		String dec = new String();
		while(decimal > 0){
			if (decimal%2 == 1)
				dec = "1" + dec;
			else
				dec = "0" + dec;
			decimal /= 2;
		}
		while(dec.length()<7)
			dec = "0" + dec;
		String temp = "0" + dec.substring(0, dec.length()-1);
		String gray = new String();
		for(int i = 0 ; i < dec.length() ; i++){
			if (dec.charAt(i) == temp.charAt(i))
				gray += "0";
			else
				gray += "1";
		}
		return gray;
	}
	
	/**
	 * Pretvara grayev kod u dekadski broj
	 * 
	 * @param gray grayev kod
	 * @return dekadski broj reprezentiran grayevim kodom
	 */
	public static int grayToDec(String gray){
		String dec = new String();
		dec += gray.charAt(0);
		for(int i = 1 ; i < gray.length() ; i++){
			if (dec.charAt(i-1) == gray.charAt(i))
				dec += "0";
			else
				dec += "1";
		}
		int potencija = 1;
		int broj = 0;
		for(int i = dec.length()-1 ; i >= 0 ; i--){
			if (dec.charAt(i) == '1')
				broj += potencija;
			potencija *= 2;
		}
		return broj;
	}	
}
