import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;


public class ParametriSAGA {
	
	/** Broj jedinki u populaciji */
	private int velicinaPopulacije;
	/** Broj generacija koje se stvore algoritmom */
	private int brojGeneracija;
	/** Postotak najboljih jedinki koje se kopiraju u novu generaciju */
	private double elitizam;
		
	/**
	 * Konstruktor objekta
	 * 
	 * @param ulaznaDatoteka datoteka iz koje se učitavaju parametri
	 * @throws IOException greška prilikom čitanja iz datoteke
	 */
	public ParametriSAGA(File ulaznaDatoteka) throws IOException{
		super();
		BufferedReader citac = new BufferedReader(new FileReader(ulaznaDatoteka));
		String red = citac.readLine();
		velicinaPopulacije = Integer.parseInt(red);
		red = citac.readLine();
		brojGeneracija = Integer.parseInt(red);
		red = citac.readLine();
		elitizam = Double.parseDouble(red);
	}

	/**
	 * Vraća broj jedinki u populaciji
	 * 
	 * @return broj jedinki
	 */
	public int getVelicinaPopulacije() {
		return velicinaPopulacije;
	}

	/**
	 * Vraća broj generacija algoritma
	 * 
	 * @return broj generacija
	 */
	public int getBrojGeneracija() {
		return brojGeneracija;
	}

	/**
	 * Vraća postotak najboljih jedinki koje se kopiraju u novu generaciju
	 * 
	 * @return postotak jedinki koje se kopiraju
	 */
	public double getElitizam() {
		return elitizam;
	}
}
